RK-J - Task #3376

Optimizations in getPurpleLinks APl implementation

01/16/2024 11:50 AM - Ram Kordale

Status: Review Start date: 01/16/2024
Priority: Immediate Due date:

Assignee: Venmuhilan B % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

1. If requestedOurl is not present in purpleLinksIinfoExtFullCombined kind, check for the ourl in the content kind only if it is a youtube
url or the url is supported page (means any of the aliases contains prefix of the requestedQOurl).

2. For getting the values for isCopilotOpenOnExit, delayBeforeFirstCopilotOpen, defaultOpen, ads, subject, CopilotLocation,
we are making separate datastore call to documentProcessing kind. Instead: (a) dont make calls for unsupported URLs; return
default values and (b) make only one datastore call to the documentProcessing kind to get these values.

History

#1 - 01/16/2024 12:00 PM - Md Shahzar

- Status changed from New to In Progress

#2 - 01/16/2024 12:00 PM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 01/16/2024 12:27 PM - Md Shahzar
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

#4 - 01/16/2024 12:27 PM - Md Shahzar

- Status changed from Reopened to In Progress

#5 - 01/16/2024 03:18 PM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#6 - 01/16/2024 03:19 PM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Abhijata Sen

#7 - 01/18/2024 09:23 AM - Venmuhilan B

- Assignee changed from Abhijata Sen to Venmuhilan B
